# SYSCS_UTIL.SYSCS_GET_XPLAIN_SCHEMA system function

The `SYSCS_UTIL.SYSCS_GET_XPLAIN_SCHEMA` function returns the xplain schema for the connection.

The default xplain schema is empty, so if the xplain style hasn't been set, the function returns the empty string. If the xplain schema has been set using `SYSCS_UTIL.SYSCS_SET_XPLAIN_SCHEMA`, the function returns the xplain schema that was set. If xplain schema is set to a non-empty value, and runtime statistics are being captured, then the runtime statistics will be stored into the SYSXPLAIN_* database tables in that schema for later analysis.

See "Working with RunTimeStatistics" in the Tuning Java DB for additional information.

#### Syntax

    SYSCS_UTIL.SYSCS_GET_XPLAIN_SCHEMA () RETURNS VARCHAR

#### Example

To determine the current value of the XPLAIN schema:

            values syscs_util.syscs_get_xplain_schema();

Parent topic: Built-in system functions